# Create locations
Creates a location in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/locations
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of a location object.
## Response
If successful, this method returns ```201 Created``` response code and a location object in the response body.
## Example
Request
Here's an example of the request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/locations
Content-type: application/json
{
  "id": "59f029b1-508c-ed11-aada-000d3a298ab3",
  "code": "MAIN",
  "displayName": "Main Warehouse",
  "contact": "Eleanor Faulkner",
  "addressLine1": "UK Campus Bldg 5",
  "addressLine2": "Thames Valley Park",
  "city": "Reading",
  "state": "",
  "country": "GB",
  "postalCode": "RG6 1WG",
  "phoneNumber": "+44-(0)10 5214 4987",
  "email": "",
  "website": ""
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 201 Created
Content-type: application/json
{
  "id": "59f029b1-508c-ed11-aada-000d3a298ab3",
  "code": "MAIN",
  "displayName": "Main Warehouse",
  "contact": "Eleanor Faulkner",
  "addressLine1": "UK Campus Bldg 5",
  "addressLine2": "Thames Valley Park",
  "city": "Reading",
  "state": "",
  "country": "GB",
  "postalCode": "RG6 1WG",
  "phoneNumber": "+44-(0)10 5214 4987",
  "email": "",
  "website": ""
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_location
dynamics_location_get
dynamics_location_delete
PATCH location<dynamics_location_update>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_location_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_location_create/
